<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Useful nbdkit filters: the error filter</h1>

<pre>
nbdkit --filter=error <i>[...]</i> error=EIO error-rate=10%

nbdkit --filter=error <i>[...]</i> error-rate=100% error-file=/tmp/inject
</pre>

<ul>
<li> Errors can be injected randomly with a uniform distribution.
<li> More usefully you can trigger errors from the presence of
an error file.
<li> NBD protocol only supports: <code>EPERM</code>, <code>EIO</code>,
<code>ENOMEM</code>, <code>EINVAL</code>, <code>ENOSPC</code> or
<code>ESHUTDOWN</code>.
</ul>

<script>
filters("1")

document.getElementById("filter1-error").classList.add("highlighted")
</script>
